CVE-2006-1394
CVSS4.3
发布时间 :2006-03-26 18:06:00
修订时间 :2008-09-05 17:01:47
NMCO    

[原文]Multiple cross-site scripting (XSS) vulnerabilities in the Microsoft IIS ISAPI filter (aka application server module) in University of Washington Pubcookie 3.1.0, 3.1.1, 3.2 before 3.2.1b, and 3.3 before 3.3.0a allow remote attackers to inject arbitrary web script or HTML via unspecified attack vectors.


[CNNVD]Pubcookies多个跨站脚本攻击漏洞(CNNVD-200603-422)

        在University of Washington Pubcookie 3.2.1b之前版本3.1.0, 3.1.1, 3.2,和3.3.0a之前版本3.3的Microsoft IIS ISAPI filter(又称应用服务器模块)中存在多个跨站脚本攻击(XSS)漏洞,远程攻击者可通过不明攻击向量注入任意Web脚本或HTML。

- CVSS (基础分值)

CVSS分值: 4.3 [中等(MEDIUM)]
机密性影响: NONE [对系统的机密性无影响]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: NONE [对系统可用性无影响]
攻击复杂度: MEDIUM [漏洞利用存在一定的访问条件]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/a:university_of_washington:pubcookie:3.2.1
cpe:/a:university_of_washington:pubcookie:3.1.0
cpe:/a:university_of_washington:pubcookie:3.2.0
cpe:/a:university_of_washington:pubcookie:3.1.1
cpe:/a:university_of_washington:pubcookie:3.2.1a
cpe:/a:university_of_washington:pubcookie:3.3.0
cpe:/a:university_of_washington:pubcookie:3.0.0

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2006-1394
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2006-1394
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200603-422
(官方数据源) CNNVD

- 其它链接及资源

http://www.kb.cert.org/vuls/id/314540
(VENDOR_ADVISORY)  CERT-VN  VU#314540
http://pubcookie.org/news/20060306-apps-secadv.html
(VENDOR_ADVISORY)  CONFIRM  http://pubcookie.org/news/20060306-apps-secadv.html
http://www.securityfocus.com/bid/17221
(UNKNOWN)  BID  17221
http://www.osvdb.org/24520
(UNKNOWN)  OSVDB  24520
http://secunia.com/advisories/19348
(UNKNOWN)  SECUNIA  19348

- 漏洞信息

Pubcookies多个跨站脚本攻击漏洞
中危 跨站脚本
2006-03-26 00:00:00 2006-03-27 00:00:00
远程  
        在University of Washington Pubcookie 3.2.1b之前版本3.1.0, 3.1.1, 3.2,和3.3.0a之前版本3.3的Microsoft IIS ISAPI filter(又称应用服务器模块)中存在多个跨站脚本攻击(XSS)漏洞,远程攻击者可通过不明攻击向量注入任意Web脚本或HTML。

- 公告与补丁

        目前厂商已经发布了升级补丁以修复这个安全问题,补丁下载链接:
        University of Washington Pubcookie 3.2.1a
        University of Washington pubcookie-3.2.1b.tar.gz
        Unix
        http://pubcookie.org/downloads/pubcookie-3.2.1b.tar.gz
        University of Washington Pubcookie-3.3.0a.msi
        Windows
        http://pubcookie.org/downloads/Pubcookie-3.3.0a.msi
        University of Washington pubcookie-3.3.0a.tar.gz
        Unix
        http://pubcookie.org/downloads/pubcookie-3.3.0a.tar.gz
        University of Washington Pubcookie 1.0
        University of Washington pubcookie-3.2.1b.tar.gz
        Unix
        http://pubcookie.org/downloads/pubcookie-3.2.1b.tar.gz
        University of Washington Pubcookie-3.3.0a.msi
        Windows
        http://pubcookie.org/downloads/Pubcookie-3.3.0a.msi
        University of Washington pubcookie-3.3.0a.tar.gz
        Unix
        http://pubcookie.org/downloads/pubcookie-3.3.0a.tar.gz
        University of Washington Pubcookie 3.0
        University of Washington pubcookie-3.2.1b.tar.gz
        Unix
        http://pubcookie.org/downloads/pubcookie-3.2.1b.tar.gz
        University of Washington Pubcookie-3.3.0a.msi
        Windows
        http://pubcookie.org/downloads/Pubcookie-3.3.0a.msi
        University of Washington pubcookie-3.3.0a.tar.gz
        Unix
        http://pubcookie.org/downloads/pubcookie-3.3.0a.tar.gz
        University of Washington Pubcookie 3.1
        University of Washington pubcookie-3.2.1b.tar.gz
        Unix
        http://pubcookie.org/downloads/pubcookie-3.2.1b.tar.gz
        University of Washington Pubcookie-3.3.0a.msi
        Windows
        http://pubcookie.org/downloads/Pubcookie-3.3.0a.msi
        University of Washington pubcookie-3.3.0a.tar.gz
        Unix
        http://pubcookie.org/downloads/pubcookie-3.3.0a.tar.gz
        University of Washington Pubcookie 3.1.1
        University of Washington pubcookie-3.2.1b.tar.gz
        Unix
        http://pubcookie.org/downloads/pubcookie-3.2.1b.tar.gz
        University of Washington Pubcookie-3.3.0a.msi
        Windows
        http://pubcookie.org/downloads/Pubcookie-3.3.0a.msi
        University of Washington pubcookie-3.3.0a.tar.gz
        Unix
        http://pubcookie.org/downloads/pubcookie-3.3.0a.tar.gz
        University of Washington Pubcookie 3.2
        University of Washington pubcookie-3.2.1b.tar.gz
        Unix
        http://pubcookie.org/downloads/pubcookie-3.2.1b.tar.gz
        University of Washington Pubcookie-3.3.0a.msi
        Windows
        http://pubcookie.org/downloads/Pubcookie-3.3.0a.msi
        University of Washington pubcookie-3.3.0a.tar.gz
        Unix
        http://pubcookie.org/downloads/pubcookie-3.3.0a.tar.gz
        University of Washington Pubcookie 3.2.1
        University of Washington pubcookie-3.2.1b.tar.gz
        Unix
        http://pubcookie.org/downloads/pubcookie-3.2.1b.tar.gz
        University of Washington Pubcookie-3.3.0a.msi
        Windows
        http://pubcookie.org/downloads/Pubcookie-3.3.0a.msi
        University of Washington pubcookie-3.3.0a.tar.gz
        Unix
        http://pubcookie.org/downloads/pubcookie-3.3.0a.tar.gz
        University of Washington Pubcookie 3.3
        University of Washington Pubcookie-3.3.0a.msi
        Windows
        http://pubcookie.org/downloads/Pubcookie-3.3.0a.msi
        University of Washington pubcookie-3.3.0a.tar.gz
        Unix
        http://pubcookie.org/downloads/pubcookie-3.3.0a.tar.gz
        

- 漏洞信息

24520
Pubcookie MS ISAPI Filter Unspecified XSS
Remote / Network Access Information Disclosure, Input Manipulation
Loss of Integrity
Exploit Unknown Vendor Verified

- 漏洞描述

Pubcookie contains a flaw that allows a remote cross site scripting attack. This flaw exists because the application does not validate unspecified variables upon submission to the MS ISAPI filter. This could allow a user to create a specially crafted URL that would execute arbitrary code in a user's browser within the trust relationship between the browser and the server, leading to a loss of integrity.

- 时间线

2006-03-06 2005-12-18
Unknow Unknow

- 解决方案

Upgrade to version 3.2.1b (unix-only), 3.3.0a or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站